/ lang / finally
FINALLY
Syntax

    SUB Function(...)
      ...
    FINALLY
      ...
    END

This instruction introduces the code executed at the end of the function, even if a error was raised during its execution.

The FINALLY part is not mandatory. If there is a catch part in the function, the FINALLY part must precede it.

If an error is raised during the execution of the FINALLY part, it is normally propagated.

See CATCH for more details and for a code example.

### See also

Error Management